## idmef-criterion-value idmef-criterion-value |

## Functions

int | idmef_criterion_value_new ()
int | idmef_criterion_value_new_regex ()
int | idmef_criterion_value_new_value ()
int | idmef_criterion_value_new_from_string ()
int | idmef_criterion_value_new_broken_down_time ()
int | idmef_criterion_value_clone ()
void | idmef_criterion_value_destroy ()
int | idmef_criterion_value_print ()
int | idmef_criterion_value_to_string ()
int | idmef_criterion_value_match ()
const idmef_value_t * | idmef_criterion_value_get_value ()
const char * | idmef_criterion_value_get_regex ()
const struct tm * | idmef_criterion_value_get_broken_down_time ()
idmef_criterion_value_type_t | idmef_criterion_value_get_type ()

## Types and Values

typedef | idmef_criterion_value_t
enum | idmef_criterion_value_type_t

## Description

## Functions

### idmef_criterion_value_new ()

    int
    idmef_criterion_value_new (idmef_criterion_value_t **cv);

### idmef_criterion_value_new_regex ()

    int
    idmef_criterion_value_new_regex (idmef_criterion_value_t **cv,
                                     const char *regex,
                                     idmef_criterion_operator_t op);

### idmef_criterion_value_new_value ()

    int
    idmef_criterion_value_new_value (idmef_criterion_value_t **cv,
                                     idmef_value_t *value,
                                     idmef_criterion_operator_t op);

### idmef_criterion_value_new_from_string ()

    int
    idmef_criterion_value_new_from_string (idmef_criterion_value_t **cv,
                                           idmef_path_t *path,
                                           const char *value,
                                           idmef_criterion_operator_t op);

### idmef_criterion_value_new_broken_down_time ()

    int
    idmef_criterion_value_new_broken_down_time
                                   (idmef_criterion_value_t **cv,
                                    const char *time,
                                    idmef_criterion_operator_t op);

### idmef_criterion_value_clone ()

    int
    idmef_criterion_value_clone (const idmef_criterion_value_t *src,
                                 idmef_criterion_value_t **dst);

### idmef_criterion_value_destroy ()

    void
    idmef_criterion_value_destroy (idmef_criterion_value_t *value);

### idmef_criterion_value_print ()

    int
    idmef_criterion_value_print (idmef_criterion_value_t *value,
                                 prelude_io_t *fd);

### idmef_criterion_value_to_string ()

    int
    idmef_criterion_value_to_string (idmef_criterion_value_t *value,
                                     prelude_string_t *out);

### idmef_criterion_value_match ()

    int
    idmef_criterion_value_match (idmef_criterion_value_t *cv,
                                 idmef_value_t *value,
                                 idmef_criterion_operator_t op);

### idmef_criterion_value_get_value ()

    const idmef_value_t *
    idmef_criterion_value_get_value (idmef_criterion_value_t *cv);

### idmef_criterion_value_get_regex ()

    const char *
    idmef_criterion_value_get_regex (idmef_criterion_value_t *cv);

### idmef_criterion_value_get_broken_down_time ()

    const struct tm *
    idmef_criterion_value_get_broken_down_time
                                   (idmef_criterion_value_t *cv);

### idmef_criterion_value_get_type ()

    idmef_criterion_value_type_t
    idmef_criterion_value_get_type (idmef_criterion_value_t *cv);

## Types and Values

### idmef_criterion_value_t

    typedef struct idmef_criterion_value idmef_criterion_value_t;

### enum idmef_criterion_value_type_t

#### Members

IDMEF_CRITERION_VALUE_TYPE_ERROR |  |
IDMEF_CRITERION_VALUE_TYPE_VALUE |  |
IDMEF_CRITERION_VALUE_TYPE_REGEX |  |
IDMEF_CRITERION_VALUE_TYPE_BROKEN_DOWN_TIME |  |